Bug 198793 - [MAINTAINER] x11-wm/nickleby: Update to 2.2
Summary: [MAINTAINER] x11-wm/nickleby: Update to 2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Pawel Pekala
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-03-22 15:44 UTC by jimmy
Modified: 2015-03-30 15:21 UTC (History)
1 user (show)

See Also:


Attachments
patch (2.36 KB, patch)
2015-03-22 15:44 UTC, jimmy
koobs: maintainer-approval+
Details | Diff
poudriere testport amd64 (11.10 KB, text/plain)
2015-03-22 15:44 UTC, jimmy
no flags Details
poudriere testport i386 (11.17 KB, text/plain)
2015-03-22 15:45 UTC, jimmy
no flags Details
patch (2.37 KB, patch)
2015-03-28 13:21 UTC, jimmy
no flags Details | Diff
poudriere testport i386 (10.88 KB, text/plain)
2015-03-28 13:22 UTC, jimmy
no flags Details
poudriere testport amd64 (10.80 KB, text/plain)
2015-03-28 13:22 UTC, jimmy
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jimmy 2015-03-22 15:44:26 UTC
Created attachment 154658 [details]
patch

Distfile now supports staging out of box. Files dir removed.

FIXED: extraneous window border at top left of screen at startup.
FIXED: cannot find font with x11-servers/xorg-server 1.14.7_3,1
Comment 1 jimmy 2015-03-22 15:44:46 UTC
Created attachment 154659 [details]
poudriere testport amd64
Comment 2 jimmy 2015-03-22 15:45:02 UTC
Created attachment 154660 [details]
poudriere testport i386
Comment 3 Pawel Pekala freebsd_committer 2015-03-27 17:15:13 UTC
Requires root privileges for staging, this should be fixed:

===>  Staging for nickleby-2.2
===>   nickleby-2.2 depends on file: /usr/local/libdata/pkgconfig/x11.pc - found
===>   Generating temporary packing list
/usr/bin/install -o root -g wheel -m555 -c -s nickleby /usr/local/ports/x11-wm/nickleby/work/stage//usr/local/bin
install: /usr/local/ports/x11-wm/nickleby/work/stage//usr/local/bin/nickleby: chown/chgrp: Operation not permitted
*** Error code 71
Comment 4 jimmy 2015-03-28 13:21:52 UTC
Created attachment 154919 [details]
patch
Comment 5 jimmy 2015-03-28 13:22:10 UTC
Created attachment 154920 [details]
poudriere testport i386
Comment 6 jimmy 2015-03-28 13:22:26 UTC
Created attachment 154921 [details]
poudriere testport amd64
Comment 7 jimmy 2015-03-28 13:24:00 UTC
FIXED: port can be staged as non-privileged user.
Comment 8 commit-hook freebsd_committer 2015-03-30 15:21:24 UTC
A commit references this bug:

Author: pawel
Date: Mon Mar 30 15:20:54 UTC 2015
New revision: 382675
URL: https://svnweb.freebsd.org/changeset/ports/382675

Log:
  - Update to version 2.2.1
  - Correct homepage address

  FIXED: extraneous window border at top left of screen at startup.
  FIXED: cannot find font with x11-servers/xorg-server 1.14.7_3,1
  FIXED: port can be staged as non-privileged user

  PR:		198793
  Submitted by:	jimmy@mammothcheese.ca (maintainer)

Changes:
  head/x11-wm/nickleby/Makefile
  head/x11-wm/nickleby/distinfo
  head/x11-wm/nickleby/files/
  head/x11-wm/nickleby/pkg-descr